# Analytics

## Metrics Catalogue

 - [GET /v1/analytics/metrics](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsmetrics.md): This endpoint lists all available metric IDs that can be used to fetch data in Get Metric Data

## Get Metric Data

 - [POST /v1/analytics/metrics](https://docs.dixa.io/openapi/dixa-api/v1/analytics/postanalyticsmetrics.md): Get data of a specific metric (aggregated)

## Metric Description

 - [GET /v1/analytics/metrics/{metricId}](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsmetricsmetricid.md): This endpoint lists all available properties of a metric to use for querying its data

## Filter values

 - [GET /v1/analytics/filter/{filterAttribute}](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsfilterfilterattribute.md): Get possible values to be used with a given filter attribute. Filter attributes are not metric or record specific, so one filter attribute can be used with multiple metrics/records. When a filter value is not relevant for a specific metric/record, it is simply ignored.

## Metric Records Catalogue

 - [GET /v1/analytics/records](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsrecords.md): This endpoint lists all available record IDs that can be used to fetch data in Get Metric Records Data

## Get Metric Records Data

 - [POST /v1/analytics/records](https://docs.dixa.io/openapi/dixa-api/v1/analytics/postanalyticsrecords.md): Get data of specific metric records (unaggregated)

## Metric Record Description

 - [GET /v1/analytics/records/{recordId}](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsrecordsrecordid.md): This endpoint lists all available properties of a record to use for querying its data

